curl
curl -sS "https://gateway.orbit/api/v1/schedules" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": [
{
"id": "<string>",
"target_type": "<string>",
"target_id": 123,
"name": "<string>",
"calendar": "<string>",
"command": "<string>",
"timeout_seconds": 123,
"desired_timer_state": "<string>",
"status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"last_run_at": "<string>",
"last_run_status": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Schedules
List Schedules
List authorized Schedules or Project Schedule definitions.
GET
/
api
/
v1
/
schedules
curl
curl -sS "https://gateway.orbit/api/v1/schedules" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": [
{
"id": "<string>",
"target_type": "<string>",
"target_id": 123,
"name": "<string>",
"calendar": "<string>",
"command": "<string>",
"timeout_seconds": 123,
"desired_timer_state": "<string>",
"status": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"last_run_at": "<string>",
"last_run_status": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}